﻿using Stimulsoft.Report;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using System.Windows;

namespace WpfApp2
{
    public partial class MainWindow : Window
    {
        public ObservableCollection<object> Items { get; set; } = new ObservableCollection<object>();
        public MainWindow()
        {
            Items.Add(new ReportVM());
            Items.Add(new ReportVM());
            InitializeComponent();
        }
    }

    public class ReportVM : INotifyPropertyChanged
    {
        private StiReport _Report;
        public StiReport Report
        {
            get => _Report;
            set
            {
                _Report = value;
                OnPropertyChanged();
            }
        }

        public ReportVM()
        {
            Report = new StiReport();
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged([CallerMemberName] string propName = "")
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propName));
        }
    }
}
